Attribute VB_Name = "Diagram"

Sub Makros1()
'
'
'
    ActiveSheet.ChartObjects("Chart1").Activate
    ActiveChart.SeriesCollection(1).Select
    ActiveChart.SeriesCollection(1).ChartType = xl3DPieExploded
End Sub

Sub DiagramRegionAP()
'Макрос для диаграммы Количество протоколов об АП(диаграмма). Конфигурация АП
'Объемная круговая диаграмма
    ActiveSheet.ChartObjects("regionAP").Activate
    ActiveChart.ChartType = xl3DPieExploded
	'ActiveChart.Rotation=260
	'ActiveChart.Elevation =15
	'ActiveChart.Perspective=0.1    
	ActiveChart.SeriesCollection(1).ApplyDataLabels
	ActiveChart.SeriesCollection(1).DataLabels.Select
    Selection.ShowCategoryName = True
	ActiveChart.SeriesCollection(1).DataLabels.Select
    With Selection.Format.TextFrame2.TextRange.Font
		.Name = "Times New Roman"
        .BaselineOffset = 0
        .Size = 10.5
    End With
	
	ActiveSheet.ChartObjects("regionAP").Activate
    Selection.Placement = xlFreeFloating
End Sub